//
//	boresight:	test retrieval of boresight angles
//
#include <iostream>

#include "CalServer.h"
#include "Boresight.h"
#include "Celestial.h"

using namespace std;

int main()
{
	calServer.setInstrument(Xmm::EMOS1);
	calServer.state()->ccd()->set(EMOScam::CCD_1);
	calServer.state()->node()->set(EMOScam::PRIMARY_NODE);

	Boresight *bs = 0; bs = calServer.getAtom(bs);
	AttitudeMatrix A(bs->matrix(0.));

	CartesianVector v(1., 0., 0.),
					vres = A*v;
	cout<<vres.x()<<" "<<vres.y()<<" "<<vres.z()<<endl;

        cout<<"Displaying MOS angles"<<endl;
        cout<<"Angles after time set:\n"<<bs->angles(168164754.627751)
                <<"\nand as matrix:\n"<<bs->matrix(168164754.627751)<<endl;
	calServer.setInstrument(Xmm::OM);
        cout<<"Displaying OM angles"<<endl;
	Boresight *bs2 = 0; bs2 = calServer.getAtom(bs2);
	cout<<"Angles after setting:\n"<<bs2->angles(0.)
		<<"\nand as matrix:\n"<<bs2->matrix(0.)<<endl;

       // Change the time of the boresight
        cout<<"Angles after time set:\n"<<bs2->angles(168164754.627751)
                <<"\nand as matrix:\n"<<bs2->matrix(168164754.627751)<<endl;

	calServer.setInstrument(Xmm::EMOS1);
        cout<<"Displaying EMOS1 angles"<<endl;
	bs2 = calServer.getAtom(bs2);
	cout<<"Angles after setting:\n"<<bs2->angles(0.)
		<<"\nand as matrix:\n"<<bs2->matrix(0.)<<endl;

       // Change the time of the boresight
        cout<<"Angles after time set:\n"<<bs2->angles(63712280.1840171)
                <<"\nand as matrix:\n"<<bs2->matrix(63712280.1840171)<<endl;

	calServer.setInstrument(Xmm::RGS1);
        cout<<"Displaying RGS1 angles"<<endl;
	bs2 = calServer.getAtom(bs2);
	cout<<"Angles after setting:\n"<<bs2->angles(0.)
		<<"\nand as matrix:\n"<<bs2->matrix(0.)<<endl;

       // Change the time of the boresight
        cout<<"Angles after time set:\n"<<bs2->angles(63712280.1840171)
                <<"\nand as matrix:\n"<<bs2->matrix(63712280.1840171)<<endl;

	calServer.setInstrument(Xmm::EMOS2);
        cout<<"Displaying EMOS2 angles"<<endl;
	bs2 = calServer.getAtom(bs2);
	cout<<"Angles after setting:\n"<<bs2->angles(0.)
		<<"\nand as matrix:\n"<<bs2->matrix(0.)<<endl;

       // Change the time of the boresight
        cout<<"Angles after time set:\n"<<bs2->angles(169164754.627751)
                <<"\nand as matrix:\n"<<bs2->matrix(169164754.627751)<<endl;

	calServer.setInstrument(Xmm::EPN);
        cout<<"Displaying EPN angles"<<endl;
	bs2 = calServer.getAtom(bs2);
	cout<<"Angles after setting:\n"<<bs2->angles(0.)
		<<"\nand as matrix:\n"<<bs2->matrix(0.)<<endl;

       // Change the time of the boresight
        cout<<"Angles after time set:\n"<<bs2->angles(188164754.627751)
                <<"\nand as matrix:\n"<<bs2->matrix(188164754.627751)<<endl;

	return 0;
}
