//
//	test the RGS HTR background classes
//
#include <iostream>
#include <cassert>
#include "CalServer.h"
#include "BackgroundDataServer.h"

using namespace std;

bool isClose(double a, double b)
{
	if (fabs(b) < 5.e-5)
		//	absolute
		return fabs(a) < 5.e-5;
	else
		return fabs(fabs(a)/fabs(b)-1.) < 5.e-5;
}


int main()
{
	//	setup the the Cal server
	const Xmm::Instrument instrument = Xmm::RGS1;
	calServer.setInstrument(instrument);
	calServer.state()->ccd()->set(1);
	calServer.state()->mode()->set(Xmm::HIGH_TIME_RESOLUTION_SINGLE_CCD);
	calServer.state()->node()->set(RGScam::PRIMARY_NODE);

	//	get the atom
	BackgroundDataServer *bkg = 0; bkg = calServer.getAtom(bkg);
	HtrBackgroundIntensity htrbh = bkg->betaSelect(.0054);
	cout<<"integrated intensity in range [500, 600]: "
		<<htrbh.accumulatedIntensity(500., 600.)<<endl;

	return 0;
}







