!
!   timejumptest.f90  --- f90 program to test the time jump access CAL routines
!
!   DESCRIPTION:
!       This gets the time jump tolerance for a given revlution
!
program timejumptest

use cal             ! use the Calibration Access Layer
use dal
use errorhandling

    implicit none
    integer                        :: rev, tol

            call CAL_setState(instrument=EPN)

            rev=500
            tol = CAL_timeJumpTol(rev)

            write(*,*)'Tolerance: ',tol

            call CAL_setState(ccdModeId = PRIME_FULL_WINDOW_EXTENDED)
            tol = CAL_timeJumpTol(rev)
            write(*,*)'Tolerance Extended: ',tol
            call CAL_setState(ccdModeId = PRIME_SMALL_WINDOW)
            tol = CAL_timeJumpTol(rev)
            write(*,*)'Tolerance small: ',tol
            call CAL_setState(ccdModeId = FAST_TIMING)
            tol = CAL_timeJumpTol(rev)
            write(*,*)'Tolerance fast: ',tol
            call CAL_setState(ccdModeId = FAST_BURST)
            tol = CAL_timeJumpTol(rev)
            write(*,*)'Tolerance burst: ',tol

end program


